### File

`packages/eui-dynamic-forms-ui/src/lib/tests/dynamic-config.suite.ts`

### Index

###### Properties
multipleStore
###### Methods
createFormArray createFormControl createFormGroup destroy getAttachedArrayToParent getAttachedControlToParent getAttachedGroupToParent getControlFromParent getFrameInstance getMultiStoreServiceInstance init pullOnSubmit pushOnSubmit

### Properties

multipleStore
Default value : `storeInstance({ deneme: 123 })`

### Methods

createFormArray
`createFormArray()`
Returns : `any`

createFormControl
`createFormControl()`
Returns : `any`

createFormGroup
`createFormGroup()`
Returns : `any`

destroy
`destroy(id)`
Parameters :
Name | Optional
id | No
Returns : `void`

getAttachedArrayToParent
`getAttachedArrayToParent(parent: FormGroup | FormArray, key: string)`
Parameters :
Name | Type | Optional
parent | `FormGroup | FormArray` | No
key | `string` | No
Returns : `any`

getAttachedControlToParent
`getAttachedControlToParent()`
Returns : `any`

getAttachedGroupToParent
`getAttachedGroupToParent(parent: FormGroup | FormArray, key: string)`
Parameters :
Name | Type | Optional
parent | `FormGroup | FormArray` | No
key | `string` | No
Returns : `any`

getControlFromParent
`getControlFromParent(parent, key)`
Parameters :
Name | Optional
parent | No
key | No
Returns : `any`

getFrameInstance
`getFrameInstance(id: string)`
Parameters :
Name | Type | Optional
id | `string` | No
Returns : `MockDynFormApi`

getMultiStoreServiceInstance
`getMultiStoreServiceInstance(id)`
Parameters :
Name | Optional
id | No
Returns : `any`

init
`init(id, config)`
Parameters :
Name | Optional
id | No
config | No
Returns : `void`

pullOnSubmit
`pullOnSubmit()`
Returns : `Observable<any>`

pushOnSubmit
`pushOnSubmit(data)`
Parameters :
Name | Optional
data | No
Returns : `void`

# result-matching ""

# No results matching ""